We're building enterprise API access for developers and organizations who need programmatic carbon analysis. The documentation below shows what will be available. Interested in early access?
https://api.nusacarbon.comInclude your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY/v1/estimate/forestcurl -X POST https://api.nusacarbon.com/v1/estimate/forest \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"lat": -0.5,
"lon": 101.5,
"polygon": [[...]],
"startDate": "2024-01-01",
"endDate": "2024-12-31"
}'/v1/estimate/mangrovecurl -X POST https://api.nusacarbon.com/v1/estimate/mangrove \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"lat": -0.5,
"lon": 101.5,
"polygon": [[...]],
"startDate": "2024-01-01",
"endDate": "2024-12-31"
}'/v1/assess/eligibilitycurl -X POST https://api.nusacarbon.com/v1/assess/eligibility \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"lat": -0.5,
"lon": 101.5,
"polygon": [[...]],
"startDate": "2024-01-01",
"endDate": "2024-12-31"
}'/v1/ndvi/trendcurl -X GET https://api.nusacarbon.com/v1/ndvi/trend \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
/v1/ocean/chlacurl -X GET https://api.nusacarbon.com/v1/ocean/chla \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
/v1/soil/soccurl -X GET https://api.nusacarbon.com/v1/soil/soc \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
/v1/risk/firecurl -X GET https://api.nusacarbon.com/v1/risk/fire \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
/v1/report/auditor-bundlecurl -X POST https://api.nusacarbon.com/v1/report/auditor-bundle \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"lat": -0.5,
"lon": 101.5,
"polygon": [[...]],
"startDate": "2024-01-01",
"endDate": "2024-12-31"
}'/v1/batchcurl -X POST https://api.nusacarbon.com/v1/batch \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"lat": -0.5,
"lon": 101.5,
"polygon": [[...]],
"startDate": "2024-01-01",
"endDate": "2024-12-31"
}'